from distutils.core import setup
from distutils.extension import Extension
from Cython.Distutils import build_ext

my_modules = [
    Extension("objtest",  ["objtest.pyx"], extra_objects=["dpwin64.obj", "advapi32.lib", "user32.lib"]),
]

for e in my_modules:
    e.cython_directives = {'language_level': "3"}           #all are Python-3

setup(
	name = 'objtest',
	cmdclass = {'build_ext': build_ext},
    ext_modules = my_modules
)
